Share feedback
Answers are generated based on the documentation.

Get a group of an organization

GET/v2/orgs/{org_name}/groups/{group_name}

Get a group of an organization.

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

org_name path Required

Name of the organization (namespace).

Type: string

All schema constraints and annotations
{
  "type": "string"
}

group_name path Required

Name of the group (team) in the organization.

Type: string

All schema constraints and annotations
{
  "example": "developers",
  "type": "string"
}

Request and responses

Response 200

application/json

Schema: org_group

Schema example

{
  "description": "Development team",
  "id": 10,
  "member_count": 1,
  "name": "developers",
  "role": "member",
  "uuid": "e36eca69-4cc8-4f17-9845-ae8c2b832691"
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/org_group

Complete operation contract
{
  "description": "Get a group of an organization.\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "getV2OrgsByOrgNameGroupsByGroupName",
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/org_group"
          }
        }
      },
      "description": ""
    },
    "401": {
      "$ref": "#/components/responses/unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/forbidden"
    },
    "404": {
      "$ref": "#/components/responses/not_found"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "Get a group of an organization",
  "tags": [
    "groups"
  ]
}